<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerSymptoms/SmptAnimMeta.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/dbc/_smpt_anim_meta_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">SmptAnimMeta.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d9/dbc/_smpt_anim_meta_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d71/class_smpt_anim_meta_a_d_d.html">SmptAnimMetaADD</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aec8a3e42bd6d4b8e23c7aa7b314015eb"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a> { <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015ebac7f69f7c9e5aea9b8f54cf02870e2bf8">SUCCESS</a>
, <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015ebaa5571864412c8275a2e18a931fddcaa6">FAILURE</a>
 }</td></tr>
<tr class="separator:aec8a3e42bd6d4b8e23c7aa7b314015eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9fa90c649d2e15fa33b45caf4860c9ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a9fa90c649d2e15fa33b45caf4860c9ba">SmptAnimMetaBase</a> ()</td></tr>
<tr class="separator:a9fa90c649d2e15fa33b45caf4860c9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69ef46320d95df6b98882f60af5c0642"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a69ef46320d95df6b98882f60af5c0642">Init</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a> manager, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a69ef46320d95df6b98882f60af5c0642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a755f326e8b06e5f2807d64baf8bf582c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a755f326e8b06e5f2807d64baf8bf582c">IsPlaying</a> ()</td></tr>
<tr class="separator:a755f326e8b06e5f2807d64baf8bf582c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501e67a60bc96f94a37954306ac09173"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a501e67a60bc96f94a37954306ac09173">IsDestroyReqested</a> ()</td></tr>
<tr class="separator:a501e67a60bc96f94a37954306ac09173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae392ee49e8653281261a2405c49da3ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#ae392ee49e8653281261a2405c49da3ff">AnimFinished</a> (<a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a> type)</td></tr>
<tr class="separator:ae392ee49e8653281261a2405c49da3ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1298686b3cdfa075b18f24f6ede82d60"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a1298686b3cdfa075b18f24f6ede82d60">PlayRequest</a> ()</td></tr>
<tr class="separator:a1298686b3cdfa075b18f24f6ede82d60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1044d828832cd398ac046799915a5136"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a1044d828832cd398ac046799915a5136">Play</a> ()</td></tr>
<tr class="separator:a1044d828832cd398ac046799915a5136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4884d19b1077f72a3541688b892f02e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a4884d19b1077f72a3541688b892f02e4">Update</a> (<a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> movement_state)</td></tr>
<tr class="separator:a4884d19b1077f72a3541688b892f02e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a5ad9951c1836fd334bdb5c745eac420f"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a5ad9951c1836fd334bdb5c745eac420f">m_IsPlaying</a></td></tr>
<tr class="separator:a5ad9951c1836fd334bdb5c745eac420f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa516e2987c91cc0982b2a54a4bd66757"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aa516e2987c91cc0982b2a54a4bd66757">m_Manager</a></td></tr>
<tr class="separator:aa516e2987c91cc0982b2a54a4bd66757"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db3d46d75d2864daed52041fe1f0973"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a4db3d46d75d2864daed52041fe1f0973">m_Player</a></td></tr>
<tr class="separator:a4db3d46d75d2864daed52041fe1f0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46fa5c8ac2888fd0f14da506d2844830"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a46fa5c8ac2888fd0f14da506d2844830">m_AnimID</a></td></tr>
<tr class="separator:a46fa5c8ac2888fd0f14da506d2844830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f4dffa0b222839b13a5e662516e6022"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a3f4dffa0b222839b13a5e662516e6022">m_SymptomType</a></td></tr>
<tr class="separator:a3f4dffa0b222839b13a5e662516e6022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309793a920dd34e434299c2896c85ddd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a309793a920dd34e434299c2896c85ddd">m_DestroyRequested</a></td></tr>
<tr class="separator:a309793a920dd34e434299c2896c85ddd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74a8de6e8387d8d4b220b7ac0b928a98"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a74a8de6e8387d8d4b220b7ac0b928a98">m_Canceled</a></td></tr>
<tr class="separator:a74a8de6e8387d8d4b220b7ac0b928a98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a16db84862304d79857e9233ada4987"><td class="memItemLeft" align="right" valign="top">class SmptAnimMetaFB extends <a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#a3a16db84862304d79857e9233ada4987">m_CalledAnimStart</a></td></tr>
<tr class="separator:a3a16db84862304d79857e9233ada4987"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="aec8a3e42bd6d4b8e23c7aa7b314015eb" name="aec8a3e42bd6d4b8e23c7aa7b314015eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec8a3e42bd6d4b8e23c7aa7b314015eb">&#9670;&#160;</a></span>eAnimFinishType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="aec8a3e42bd6d4b8e23c7aa7b314015ebac7f69f7c9e5aea9b8f54cf02870e2bf8" name="aec8a3e42bd6d4b8e23c7aa7b314015ebac7f69f7c9e5aea9b8f54cf02870e2bf8"></a>SUCCESS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aec8a3e42bd6d4b8e23c7aa7b314015ebaa5571864412c8275a2e18a931fddcaa6" name="aec8a3e42bd6d4b8e23c7aa7b314015ebaa5571864412c8275a2e18a931fddcaa6"></a>FAILURE&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae392ee49e8653281261a2405c49da3ff" name="ae392ee49e8653281261a2405c49da3ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae392ee49e8653281261a2405c49da3ff">&#9670;&#160;</a></span>AnimFinished()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnimFinished </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00037">37</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a69ef46320d95df6b98882f60af5c0642" name="a69ef46320d95df6b98882f60af5c0642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69ef46320d95df6b98882f60af5c0642">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a>&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00021">21</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a501e67a60bc96f94a37954306ac09173" name="a501e67a60bc96f94a37954306ac09173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a501e67a60bc96f94a37954306ac09173">&#9670;&#160;</a></span>IsDestroyReqested()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsDestroyReqested </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00032">32</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a755f326e8b06e5f2807d64baf8bf582c" name="a755f326e8b06e5f2807d64baf8bf582c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a755f326e8b06e5f2807d64baf8bf582c">&#9670;&#160;</a></span>IsPlaying()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsPlaying </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00027">27</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a1044d828832cd398ac046799915a5136" name="a1044d828832cd398ac046799915a5136"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1044d828832cd398ac046799915a5136">&#9670;&#160;</a></span>Play()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a> Play </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00143">143</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a1298686b3cdfa075b18f24f6ede82d60" name="a1298686b3cdfa075b18f24f6ede82d60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1298686b3cdfa075b18f24f6ede82d60">&#9670;&#160;</a></span>PlayRequest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../db/d8d/_state_manager_8c.html#aa2a06f1e5cf7145c2e712d842a8c1da6">EAnimPlayState</a> PlayRequest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00064">64</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a9fa90c649d2e15fa33b45caf4860c9ba" name="a9fa90c649d2e15fa33b45caf4860c9ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fa90c649d2e15fa33b45caf4860c9ba">&#9670;&#160;</a></span>SmptAnimMetaBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00017">17</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a4884d19b1077f72a3541688b892f02e4" name="a4884d19b1077f72a3541688b892f02e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4884d19b1077f72a3541688b892f02e4">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td>
          <td class="paramname"><em>movement_state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00169">169</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a46fa5c8ac2888fd0f14da506d2844830" name="a46fa5c8ac2888fd0f14da506d2844830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46fa5c8ac2888fd0f14da506d2844830">&#9670;&#160;</a></span>m_AnimID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_AnimID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00012">12</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a3a16db84862304d79857e9233ada4987" name="a3a16db84862304d79857e9233ada4987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a16db84862304d79857e9233ada4987">&#9670;&#160;</a></span>m_CalledAnimStart</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class SmptAnimMetaFB extends <a class="el" href="../../d4/d01/class_smpt_anim_meta_base.html">SmptAnimMetaBase</a> m_CalledAnimStart</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a74a8de6e8387d8d4b220b7ac0b928a98" name="a74a8de6e8387d8d4b220b7ac0b928a98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74a8de6e8387d8d4b220b7ac0b928a98">&#9670;&#160;</a></span>m_Canceled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_Canceled</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00015">15</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a309793a920dd34e434299c2896c85ddd" name="a309793a920dd34e434299c2896c85ddd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309793a920dd34e434299c2896c85ddd">&#9670;&#160;</a></span>m_DestroyRequested</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_DestroyRequested</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00014">14</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a5ad9951c1836fd334bdb5c745eac420f" name="a5ad9951c1836fd334bdb5c745eac420f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ad9951c1836fd334bdb5c745eac420f">&#9670;&#160;</a></span>m_IsPlaying</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html#aec8a3e42bd6d4b8e23c7aa7b314015eb">eAnimFinishType</a> m_IsPlaying</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa516e2987c91cc0982b2a54a4bd66757" name="aa516e2987c91cc0982b2a54a4bd66757"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa516e2987c91cc0982b2a54a4bd66757">&#9670;&#160;</a></span>m_Manager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dd/d8b/class_symptom_manager.html">SymptomManager</a> m_Manager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00010">10</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a4db3d46d75d2864daed52041fe1f0973" name="a4db3d46d75d2864daed52041fe1f0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3d46d75d2864daed52041fe1f0973">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00011">11</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
<a id="a3f4dffa0b222839b13a5e662516e6022" name="a3f4dffa0b222839b13a5e662516e6022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f4dffa0b222839b13a5e662516e6022">&#9670;&#160;</a></span>m_SymptomType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_SymptomType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html#l00013">13</a> of file <a class="el" href="../../d9/dbc/_smpt_anim_meta_8c_source.html">SmptAnimMeta.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_e94b680269169ad2f35011224aeeda21.html">PlayerSymptoms</a></li><li class="navelem"><a class="el" href="../../d9/dbc/_smpt_anim_meta_8c.html">SmptAnimMeta.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
